func makeCounter(initValue:Int) -> () -> Int {
    var num = initValue
    func counter() -> Int {
        num += 1
        return num
    }
    return counter
}

var counter1 = makeCounter(initValue: 1)
var counter2 = makeCounter(initValue: 10)
print("counter1: \(counter1())")
print("counter1: \(counter1())")
print("counter2: \(counter2())")
print("counter2: \(counter2())")
print("counter1: \(counter1())")
