//
//  ContentView.swift
//  StateTest2
//
//  Created by 大津 真 on 2020/03/16.
//  Copyright © 2020 大津 真. All rights reserved.
//

import SwiftUI

struct ContentView: View {
    @State private var fast = true
    var body: some View {
        Button(action: {
            self.fast.toggle()
        }) {
            Image(systemName: self.fast ? "hare" : "tortoise")
                .resizable()
                .scaledToFit()
                .frame(width:150, height: 150)
        }
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
