//
//  ContentView.swift
//  Alert1
//
//  Created by 大津 真 on 2020/02/17.
//  Copyright © 2020 大津真. All rights reserved.
//

import SwiftUI

struct ContentView: View {
	@State private var showAlert = false
	
    var body: some View {
		Button(action: {
			self.showAlert.toggle()
		}) {
			Text("タップして")
                .font(.largeTitle)
		}
        .alert(isPresented: $showAlert) {
            Alert(title: Text("テスト"),
                  message: Text("アラートのテストです"),
                  dismissButton: .default(Text("OK")))
		}
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
