//
//  ContentView.swift
//  DatePicker1
//
//  Created by 大津 真 on 2020/02/17.
//  Copyright © 2020 大津真. All rights reserved.
//

import SwiftUI

struct ContentView: View {
    @State private var myDate = Date()
    var body: some View {
        VStack {
            Text("\(myDate)")
            DatePicker(selection: $myDate, label: { Text("日時") })
                .environment(\.locale, Locale(identifier: "ja_JP"))
        }
    }
}

struct ContentView_Previews: PreviewProvider {
	static var previews: some View {
		ContentView()
		//.environment(\.locale, Locale(identifier: "ja_JP"))
	}
}
