//
//  ContentView.swift
//  DatePicker2
//
//  Created by 大津 真 on 2020/04/11.
//  Copyright © 2020 大津 真. All rights reserved.
//

import SwiftUI

struct ContentView: View {
    @State private var myDate = Date()
    var body: some View {
        VStack {
            Text("\(myDate)")
            DatePicker(selection: $myDate,
                       displayedComponents: [.date],
                       label: { Text("日時") })
                .environment(\.locale, Locale(identifier: "ja_JP"))
        }
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
