//
//  ContentView.swift
//  List3
//
//  Created by 大津 真 on 2020/02/23.
//  Copyright © 2020 大津真. All rights reserved.
//

import SwiftUI

struct ContentView: View {
	@State private var kanto = ["東京", "神奈川", "埼玉", "千葉", "茨城", "群馬", "栃木"]
	var body: some View {
		NavigationView {
			List {
				ForEach(0 ..< kanto.count) { id in
					NavigationLink(destination:
						Text("ようこそ\(self.kanto[id])へ")
							.font(.largeTitle)
							.foregroundColor(.green)
					
					) {
						Text(self.kanto[id])
					}
				}
			}.navigationBarTitle("関東地方")
		}
	}
}

struct ContentView_Previews: PreviewProvider {
	static var previews: some View {
		ContentView()
	}
}
