//
//  ContentView.swift
//  Sheet1
//
//  Created by 大津 真 on 2020/02/24.
//  Copyright © 2020 大津真. All rights reserved.
//

import SwiftUI

struct ContentView: View {
	@State private var showSheet = false
    var body: some View {
		Button(action: {
			self.showSheet.toggle()
		}) {
			Text("シートを表示")
                .font(.largeTitle)
		}
		.sheet(isPresented: $showSheet) {
			MySheet()
		}
    }
}

struct MySheet: View {
	var body: some View {
		ZStack {
			Color.yellow
			Text("シートです")
                .font(.largeTitle)
		}
	}
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
