import UIKit

// 式展開
let yourName: String = "田中一郎"
print("こんにちは\(yourName)さん")

var num1 = 10
print("結果: \(num1 * 100)円")

// データ型の変換
let num3: Int = 10
var num4: Double = Double(num3)

// 数値と文字列の変換
let num5 = 2021
let year = String(num5)

let ageStr = "15"
let age = Int(ageStr)

// 複数の値をまとめるタプル
var person1 = ("江藤花子", 35)
print(person1.0) // → 江藤花子
person1.1 = 40 // → 2番目の要素を「40」に
print(person1) // -> ("江藤花子", 40)

var customer1 = (number:101, name:"木村太郎", age:43)
print(customer1.name) // nameの値を表示
customer1.age += 1 // ageの値に1を足す
print(customer1.age) // ageの値を表示

// 配列
var names = ["田中一郎", "山田花子", "大木勇魚"]
print(names[1])
print(names.count) // →3

var nums1 = [9, 8, 25]
nums1.append(20)
print(nums1)

var nums2 = [9, 8, 25]
nums2.remove(at: 1)
print(nums2)

var langs = ["Swift", "Java", "C", "Python"]
langs.removeFirst()
langs.removeLast()
print(langs)

// 辞書
var customers: [String: String] = ["M101": "井上徹", "M102": "織田真", "W301": "岸直子"]
customers["M102"] = "織田誠" // 要素を変更
customers["W302"] = "田村恭子" // 要素を追加
print(customers["M102"]!)
print(customers.count)
print(customers)
