struct Wallet {
    var yen: Double
    let rate = 100.0
    var dollar: Double {
        get {
            return yen / rate
        }
        set(newValue) {
            yen = newValue * rate
        }
    }
}

var myWallet = Wallet(yen:100)
print(myWallet.dollar)
myWallet.dollar = 4
print(myWallet.yen)

