//
//  ContentView.swift
//  StateTest1
//
//  Created by 大津 真 on 2020/03/14.
//  Copyright © 2020 大津 真. All rights reserved.
//

import SwiftUI

struct ContentView: View {
    @State private var showText = false
    var body: some View {
        VStack {
            Button(action: {
                self.showText.toggle()
            }) {
                HStack {
                    Image(systemName: "lightbulb")
                    Text("オン/オフ")
                }
                .font(.largeTitle)
            }
            if showText {
                Text("ステートテスト")
                    .font(.largeTitle)
            }
        }
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
