//
//  ContentView.swift
//  TextField2
//
//  Created by 大津 真 on 2020/02/17.
//  Copyright © 2020 大津真. All rights reserved.
//

import SwiftUI

struct ContentView: View {
    @State private var age = ""
    var body: some View {
        ZStack {
            Color(.yellow)
                .onTapGesture {
                    UIApplication.shared.sendAction(#selector(UIResponder.resignFirstResponder), to: nil, from: nil, for: nil)
                }
            VStack {
                HStack {
                    Text("年齢")
                    TextField("年齢を入力してください", text: $age)
                        .textFieldStyle(RoundedBorderTextFieldStyle())
                        .keyboardType(.numberPad)
                }
                if age != "" {
                    Text("年齢は \(age)歳")
                }
            }
            .font(.title)
        }
    }
}

struct ContentView_Previews: PreviewProvider {
	static var previews: some View {
		ContentView()
	}
}
